<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{'Facilities >> Update Parking' | translate}}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{'Update Parking' | translate}}</ion-card-title>
      <ion-card-subtitle>{{'Update Parking'| translate}}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="updateParking()" (keyup.enter)="updateParking()" method="post">
        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate}}</ion-label>
          <ion-input formControlName="name" type="text" name="name"></ion-input>
        </ion-item>

        <div style="color: red;" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <ion-item>
          <ion-label>{{ 'Parking Type' | translate }}</ion-label>
          <ion-select placeholder="Select One" formControlName="parkingType" name="parkingType">
            <ion-select-option value="Two Wheeler">{{ 'Two Wheeler' | translate }}</ion-select-option>
            <ion-select-option value="Four Wheeler">{{ 'Four Wheeler' | translate }}</ion-select-option>
          </ion-select>
        </ion-item>

        <div style="color: red;"
          *ngIf="form.get('parkingType').hasError('required') && form.get('parkingType').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <div style="color: red">
          {{ 'Note*: By default Society will be assigned as Owner.Individual facility/property owner will have to send request to become owner.' | translate }}
        </div>

        <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{'Update Parking'| translate }}</ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>